summaryrefslogtreecommitdiffstats
path: root/poky/meta/recipes-bsp/alsa-state/alsa-state
diff options
context:
space:
mode:
authorDave Cobbley <david.j.cobbley@linux.intel.com>2018-08-14 10:05:37 -0700
committerBrad Bishop <bradleyb@fuzziesquirrel.com>2018-08-22 21:26:31 -0400
commiteb8dc40360f0cfef56fb6947cc817a547d6d9bc6 (patch)
treede291a73dc37168da6370e2cf16c347d1eba9df8 /poky/meta/recipes-bsp/alsa-state/alsa-state
parent9c3cf826d853102535ead04cebc2d6023eff3032 (diff)
downloadtalos-openbmc-eb8dc40360f0cfef56fb6947cc817a547d6d9bc6.tar.gz
talos-openbmc-eb8dc40360f0cfef56fb6947cc817a547d6d9bc6.zip
[Subtree] Removing import-layers directory
As part of the move to subtrees, need to bring all the import layers content to the top level. Change-Id: I4a163d10898cbc6e11c27f776f60e1a470049d8f Signed-off-by: Dave Cobbley <david.j.cobbley@linux.intel.com> Signed-off-by: Brad Bishop <bradleyb@fuzziesquirrel.com>
Diffstat (limited to 'poky/meta/recipes-bsp/alsa-state/alsa-state')
-rwxr-xr-xpoky/meta/recipes-bsp/alsa-state/alsa-state/alsa-state-init39
-rw-r--r--poky/meta/recipes-bsp/alsa-state/alsa-state/asound.conf1
-rw-r--r--poky/meta/recipes-bsp/alsa-state/alsa-state/asound.state1
3 files changed, 41 insertions, 0 deletions
diff --git a/poky/meta/recipes-bsp/alsa-state/alsa-state/alsa-state-init b/poky/meta/recipes-bsp/alsa-state/alsa-state/alsa-state-init
new file mode 100755
index 000000000..eee59cb32
--- /dev/null
+++ b/poky/meta/recipes-bsp/alsa-state/alsa-state/alsa-state-init
@@ -0,0 +1,39 @@
+#! /bin/sh
+#
+# Copyright Matthias Hentges <devel@hentges.net> (c) 2007
+# License: GPL (see http://www.gnu.org/licenses/gpl.txt for a copy of the license)
+#
+# Filename: alsa-state
+# Date: 20070308 (YMD)
+
+# source function library
+. /etc/init.d/functions
+
+asound_restore(){
+ echo "ALSA: Restoring mixer settings..."
+ if test -x /usr/sbin/alsactl -a -e #STATEDIR#/asound.state
+ then
+ /usr/sbin/alsactl -f #STATEDIR#/asound.state restore &
+ fi
+}
+
+asound_store(){
+ echo "ALSA: Storing mixer settings..."
+ if test -x /usr/sbin/alsactl
+ then
+ /usr/sbin/alsactl -f #STATEDIR#/asound.state store
+ fi
+}
+
+case "$1" in
+start) asound_restore ;;
+stop) asound_store ;;
+ status)
+ status /usr/sbin/alsactl;
+ exit $?
+ ;;
+ *)
+ echo "Usage: /etc/init.d/alsa-state {start|stop|status}"
+ exit 1
+ ;;
+esac
diff --git a/poky/meta/recipes-bsp/alsa-state/alsa-state/asound.conf b/poky/meta/recipes-bsp/alsa-state/alsa-state/asound.conf
new file mode 100644
index 000000000..03653cfb2
--- /dev/null
+++ b/poky/meta/recipes-bsp/alsa-state/alsa-state/asound.conf
@@ -0,0 +1 @@
+# Global alsa-lib configuration
diff --git a/poky/meta/recipes-bsp/alsa-state/alsa-state/asound.state b/poky/meta/recipes-bsp/alsa-state/alsa-state/asound.state
new file mode 100644
index 000000000..ddd1cce85
--- /dev/null
+++ b/poky/meta/recipes-bsp/alsa-state/alsa-state/asound.state
@@ -0,0 +1 @@
+# Dummy file, do not delete
OpenPOWER on IntegriCloud